#!/usr/bin/python3
# version 0.1
# last updated 2022-02-17
# created by Rene Neumann (rene.neumann@zpesystems.com)
import pexpect

### Adjust below variables as needed
template = ""
###

playbook = """
- hosts: all
  gather_facts: false
  connection: local
  vars:
   template_name: "{{ template | default('Default 1 - Recommended') }}"

  tasks:
     - name: Create Penetration Test
       shell: h3 run-pentest '{"op_name": "Scheduled via ZPE Cloud","op_template_name": "{{ template_name}}" }'
       
     - name: run Penetration Test
       shell: h3 run-nodezero
       register: pentest
       
     - name: display container
       debug: 
         var:  pentest.stdout_lines       
                
     - name: Check Container runs
       shell: docker ps | grep ns
       register: container
       
     - name: display container
       debug: 
         var:  container.stdout_lines
"""
hosts = "localhost"
nodegrid_username = "root"


print("Writing Playbook")
file_playbook = open("/tmp/playbook.yml", "w")
file_playbook.write(playbook)
file_playbook.close()

ansible_cmd = "ansible-playbook /tmp/playbook.yml --limit " + str(hosts) + " -e template_name=" + str(template)

cmd = 'sudo su - ' + nodegrid_username + ' -c "' + ansible_cmd + '"'
print("Starting Playbook")
stdout = pexpect.run(cmd)
print(stdout)
print("Removing Playbook")
cmd = 'rm -f /tmp/playbook.yml'
stdout = pexpect.run(cmd)
print(stdout)